# PebbleHealthStats

## Introduction and requirements

A R notebook to analyze your sleep and step data recorded by a *Pebble* watch

You need to be using [Gadgetbridge](https://gadgetbridge.org/) with your *Pebble* to have access to your data.  Health data is then stored in a *SQLite* database.

## Installation

The easiest way to use this projet is to download [RStudio](https://www.rstudio.com/products/rstudio/download/#download), open `pebble_health_stats.Rmd` and press *Knit* on the top left of the editor.

You will need to have [R](https://www.r-project.org/) running on you PC as well as the package [Tidyverse](https://www.tidyverse.org/).  
On a [Debian](https://www.debian.org/) machine, all you need to do is:
```
sudo apt install r-cran-tidyverse
```

## Demo

Open `pebble_health_stats.html` for a demo of the output.

## If you want to go further

This program only works with *Pebble* watches but is probably easy to adapt for a *Mi Band*, *Amazfit*, or any other watch compatible with *Gadgetbridge*.

You can also adapt the code to add new visualisations, or explore data (heart rate…). 
